spec:
  inputs:
    pipeline_ref:
      default: wip
---
include:
- component: ${CI_SERVER_FQDN}/${CICD_NAMESPACE}/pipeline/helm@$[[ inputs.pipeline_ref ]]

.include:
  project: ${CICD_NAMESPACE}/pipeline
  ref: $[[ inputs.pipeline_ref ]]

.helm_charts:
- charts/cacerts
- charts/cluster
- charts/configuration
- charts/deploy
- charts/ingress
- charts/namespace
- charts/networkpolicy
- charts/pullsecrets
- charts/serviceaccount
- charts/utils
- charts/workload
- charts/yamlsecrets

.helm_build:
  variables:
    helm_test: disabled
    helm_build_publish_oci: "true"
    helm_build_versioning: multi
    helm_build_version_default: 2.0.0
    helm_build_publish_filter_branch: ^($CI_DEFAULT_BRANCH|develop|release[-/].*|ci-.*)$
  parallel:
    matrix:
    - helm_build_chart_path: !reference [ .helm_charts ]

B1.build:
  extends: [ .helm_build ]
  variables:
    CIX_ONLOAD_JOB_999_helm_test: |
      helm_test() {
        source compose.env
        unbuffer podman run --rm -t \
          -w "$$PWD" \
          -v "$$PWD:$$PWD" \
          --entrypoint helm \
          "$$SDK" \
          unittest "$$helm_build_chart_path"
      }

P9.release:
  extends: [ .helm_release_multichart ]
  only:
    variables:
    - $CIX_IS_DEFAULT_BRANCH
    - $CIX_IS_DEVELOP
  when: manual
